const menu = [
    {
        label: "控制面板",
        icon: "dashboard",
        hidden: false,
        route: "/dashboard",
        children: [
            {
                label: "字段配置",
                hidden: true,
                access: 'allow',
                route: "/setting/schemas"
            },
            {
                label: "消息通知",
                hidden: true,
                access: 'allow',
                route: "/organize/user/notice"
            }
        ]
    },
    {
        label: "组织架构",
        icon: "org",
        hidden: false,
        route: '/organizers',
        children: [
            {
                label: "个人设置",
                hidden: true,
                access: 'allow',
                route: "/organize/user/profile"
            },
            {
                label: "角色管理",
                route: "/organize/roles",
                permissions: [
                    {
                        label: '新建',
                        value: 'create'
                    },
                    {
                        label: '更新',
                        value: 'update'
                    },
                    {
                        label: '删除',
                        value: 'delete'
                    }
                ]
            },
            {
                label: "部门管理",
                route: "/organize/departments",
                permissions: [
                    {
                        label: '新建',
                        value: 'create'
                    },
                    {
                        label: '更新',
                        value: 'update'
                    },
                    {
                        label: '删除',
                        value: 'delete'
                    }
                ]
            },
            {
                label: "座席管理",
                route: "/organize/users",
                permissions: [
                    {
                        label: '新建',
                        value: 'create'
                    },
                    {
                        label: '更新',
                        value: 'update'
                    },
                    {
                        label: '删除',
                        value: 'delete'
                    }
                ]
            },
        ]
    },
    {
        label: "客户管理",
        icon: "group",
        hidden: false,
        route: "/customer",
        children: [
            {
                label: "联系人",
                navigation: true,
                route: "/customer/contacts",
                children: [
                    {
                        label: "新建联系人",
                        hidden: true,
                        route: "/customer/contact/create",
                        view: '../views/customer/contact/Form.vue'
                    },
                    {
                        label: "编辑联系人",
                        hidden: true,
                        route: "/customer/contact/update",
                        view: '../views/customer/contact/Form.vue'
                    },
                    {
                        label: "联系人详情",
                        hidden: true,
                        route: "/customer/contact/view",
                        view: '../views/customer/contact/View.vue'
                    },
                ],
                permissions: [
                    {
                        label: '新建',
                        value: 'create'
                    },
                    {
                        label: '更新',
                        value: 'update'
                    },
                    {
                        label: '删除',
                        value: 'delete'
                    },
                    {
                        label: '详情',
                        value: 'view'
                    }
                ]
            }
        ]
    },
    {
        label: "呼叫任务",
        icon: "outbound",
        hidden: false,
        route: "/outbounds",
        children: [
            {
                label: "全部任务",
                hidden: false,
                navigation: true,
                route: "/outbound/campaigns",
                children: [
                    {
                        label: "新建任务",
                        hidden: true,
                        route: "/outbound/campaign/create",
                        view: '../views/outbound/campaign/Form.vue'
                    },
                    {
                        label: "编辑任务",
                        hidden: true,
                        route: "/outbound/campaign/update",
                        view: '../views/outbound/campaign/Form.vue'
                    },
                    {
                        label: "任务详情",
                        hidden: true,
                        route: "/outbound/campaign/view",
                        view: '../views/outbound/campaign/View.vue'
                    },
                ],
                permissions: [
                    {
                        label: '新建',
                        value: 'create'
                    },
                    {
                        label: '更新',
                        value: 'update'
                    },
                    {
                        label: '删除',
                        value: 'delete'
                    },
                    {
                        label: '详情',
                        value: 'view'
                    },
                    {
                        label: '启动',
                        value: 'start'
                    },
                    {
                        label: '暂停',
                        value: 'pause'
                    },
                    {
                        label: '停止',
                        value: 'stop'
                    },
                    {
                        label: '导入',
                        value: 'import'
                    }
                ]
            }
        ]
    },
    {
        label: "记录报表",
        icon: "data",
        route: "/record",
        children: [
            {
                label: "话单记录",
                route: "/record/cdrs",
                children: [
                    {
                        label: "通话记录",
                        route: "/record/cdr/logs"
                    },
                    {
                        label: "来电未接",
                        route: "/record/cdr/noanswers"
                    },
                    {
                        label: "座席未接",
                        route: "/record/cdr/usernoanswers"
                    },
                ]
            },
            {
                label: "话单报表",
                route: "/record/reports",
                children: [
                    {
                        label: "座席报表",
                        route: "/record/report/users"
                    },
                    {
                        label: "呼入报表",
                        route: "/record/report/inbounds"
                    },
                ]
            },
            {
                label: "日志记录",
                route: "/record/log",
                children: [
                    {
                        label: "登录记录",
                        route: "/record/log/logins"
                    },
                    {
                        label: "考勤记录",
                        route: "/record/log/attendances"
                    },
                    {
                        label: "操作记录",
                        route: "/record/log/activities"
                    },
                    {
                        label: "导入导出",
                        route: "/record/log/genfiles"
                    },
                ]
            },
        ]
    },
    {
        label: "状态监控",
        icon: "jiankong",
        route: "/monitor",
        children: [
            {
                label: "座席监控",
                route: "/monitor/users",
            },
            {
                label: "话务监控",
                route: "/monitor/calls",
            },
            {
                label: "系统监控",
                hidden: true,
                route: "/monitor/systems",
            },
        ]
    },
    {
        label: "系统配置",
        icon: "set",
        hidden: false,
        route: "/settings",
        children: [
            {
                label: "匹配规则",
                route: "/setting/rules",
                children: [
                    {
                        label: "号码匹配",
                        navigation: true,
                        route: "/setting/rule/numbersets",
                        children: [
                            {
                                label: "号码列表",
                                hidden: true,
                                route: "/setting/rule/numberset/list"
                            }
                        ],
                        permissions: [
                            {
                                label: '新建',
                                value: 'create'
                            },
                            {
                                label: '更新',
                                value: 'update'
                            },
                            {
                                label: '删除',
                                value: 'delete'
                            }
                        ]
                    },
                    {
                        label: "正则匹配",
                        route: "/setting/rule/regexps",
                        permissions: [
                            {
                                label: '新建',
                                value: 'create'
                            },
                            {
                                label: '更新',
                                value: 'update'
                            },
                            {
                                label: '删除',
                                value: 'delete'
                            }
                        ]
                    },
                    {
                        label: "时间匹配",
                        route: "/setting/rule/timeslots",
                        permissions: [
                            {
                                label: '新建',
                                value: 'create'
                            },
                            {
                                label: '更新',
                                value: 'update'
                            },
                            {
                                label: '删除',
                                value: 'delete'
                            }
                        ]
                    },
                    {
                        label: "地区匹配",
                        route: "/setting/rule/zones",
                        permissions: [
                            {
                                label: '新建',
                                value: 'create'
                            },
                            {
                                label: '更新',
                                value: 'update'
                            },
                            {
                                label: '删除',
                                value: 'delete'
                            }
                        ]
                    }
                ]
            },
            {
                label: "应用配置",
                route: "/setting/destinations",
                children: [
                    {
                        label: "语言导航",
                        navigation: true,
                        route: "/setting/destination/ivrs",
                        children: [
                            {
                                label: "新建技能组",
                                hidden: true,
                                route: "/setting/destination/ivr/create",
                                view: '../views/setting/destination/ivr/Form.vue'
                            },
                            {
                                label: "编辑技能组",
                                hidden: true,
                                route: "/setting/destination/ivr/update",
                                view: '../views/setting/destination/ivr/Form.vue'
                            },
                        ],
                        permissions: [
                            {
                                label: '新建',
                                value: 'create'
                            },
                            {
                                label: '更新',
                                value: 'update'
                            },
                            {
                                label: '删除',
                                value: 'delete'
                            }
                        ]
                    },
                    {
                        label: "呼叫队列",
                        navigation: true,
                        route: "/setting/destination/queues",
                        children: [
                            {
                                label: "新建队列",
                                hidden: true,
                                route: "/setting/destination/queue/create",
                                view: '../views/setting/destination/queue/Form.vue'
                            },
                            {
                                label: "编辑队列",
                                hidden: true,
                                route: "/setting/destination/queue/update",
                                view: '../views/setting/destination/queue/Form.vue'
                            },
                        ],
                        permissions: [
                            {
                                label: '新建',
                                value: 'create'
                            },
                            {
                                label: '更新',
                                value: 'update'
                            },
                            {
                                label: '删除',
                                value: 'delete'
                            }
                        ]
                    },
                    {
                        label: "语言文件",
                        route: "/setting/destination/sounds",
                        permissions: [
                            {
                                label: '新建',
                                value: 'create'
                            },
                            {
                                label: '更新',
                                value: 'update'
                            },
                            {
                                label: '删除',
                                value: 'delete'
                            }
                        ]
                    },
                    {
                        label: "脚本程序",
                        route: "/setting/destination/scripts",
                        permissions: [
                            {
                                label: '新建',
                                value: 'create'
                            },
                            {
                                label: '更新',
                                value: 'update'
                            },
                            {
                                label: '删除',
                                value: 'delete'
                            }
                        ]
                    },
                    {
                        label: "快捷功能",
                        route: "/setting/destination/shortcuts",
                        permissions: [
                            {
                                label: '新建',
                                value: 'create'
                            },
                            {
                                label: '更新',
                                value: 'update'
                            },
                            {
                                label: '删除',
                                value: 'delete'
                            }
                        ]
                    },
                    {
                        label: "网关管理",
                        navigation: true,
                        route: "/setting/destination/gateways",
                        children: [
                            {
                                label: "新建网关",
                                hidden: true,
                                route: "/setting/destination/gateway/create",
                                view: '../views/setting/destination/gateway/Form.vue'
                            },
                            {
                                label: "编辑网关",
                                hidden: true,
                                route: "/setting/destination/gateway/update",
                                view: '../views/setting/destination/gateway/Form.vue'
                            },
                        ],
                        permissions: [
                            {
                                label: '新建',
                                value: 'create'
                            },
                            {
                                label: '更新',
                                value: 'update'
                            },
                            {
                                label: '删除',
                                value: 'delete'
                            }
                        ]
                    },
                    {
                        label: "设备列表",
                        route: "/setting/destination/devices",
                        permissions: [
                            {
                                label: '新建',
                                value: 'create'
                            },
                            {
                                label: '更新',
                                value: 'update'
                            },
                            {
                                label: '删除',
                                value: 'delete'
                            }
                        ]
                    },
                ]
            },
            {
                label: "路由配置",
                route: "/setting/routes",
                children: [
                    {
                        label: "呼入路由",
                        route: "/setting/route/inbounds",
                        navigation: true,
                        children: [
                            {
                                label: "新增路由",
                                hidden: true,
                                route: "/setting/route/inbound/create",
                                view: '../views/setting/route/inbound/Form.vue'
                            },
                            {
                                label: "更新路由",
                                hidden: true,
                                route: "/setting/route/inbound/update",
                                view: '../views/setting/route/inbound/Form.vue'
                            },
                        ],
                        permissions: [
                            {
                                label: '新建',
                                value: 'create'
                            },
                            {
                                label: '更新',
                                value: 'update'
                            },
                            {
                                label: '删除',
                                value: 'delete'
                            }
                        ]
                    },
                    {
                        label: "呼出路由",
                        route: "/setting/route/outbounds",
                        navigation: true,
                        children: [
                            {
                                label: "新增路由",
                                hidden: true,
                                route: "/setting/route/outbound/create",
                                view: '../views/setting/route/outbound/Form.vue'
                            },
                            {
                                label: "更新路由",
                                hidden: true,
                                route: "/setting/route/outbound/update",
                                view: '../views/setting/route/outbound/Form.vue'
                            },
                        ],
                        permissions: [
                            {
                                label: '新建',
                                value: 'create'
                            },
                            {
                                label: '更新',
                                value: 'update'
                            },
                            {
                                label: '删除',
                                value: 'delete'
                            }
                        ]
                    },
                ]
            },
            {
                label: "高级设置",
                route: "/setting/advanced",
                children: [
                    {
                        label: "访问控制",
                        navigation: true,
                        route: "/setting/advanced/acls",
                        children: [
                            {
                                label: "规则列表",
                                hidden: true,
                                route: "/setting/advanced/acl/list"
                            }
                        ],
                        permissions: [
                            {
                                label: '新建',
                                value: 'create'
                            },
                            {
                                label: '更新',
                                value: 'update'
                            },
                            {
                                label: '删除',
                                value: 'delete'
                            }
                        ]
                    },
                    {
                        label: "变量设置",
                        route: "/setting/advanced/variables",
                        permissions: [
                            {
                                label: '新建',
                                value: 'create'
                            },
                            {
                                label: '更新',
                                value: 'update'
                            },
                            {
                                label: '删除',
                                value: 'delete'
                            }
                        ]
                    },
                    {
                        label: "状态设置",
                        route: "/setting/advanced/statuses",
                        permissions: [
                            {
                                label: '新建',
                                value: 'create'
                            },
                            {
                                label: '更新',
                                value: 'update'
                            },
                            {
                                label: '删除',
                                value: 'delete'
                            }
                        ]
                    },
                    {
                        label: "字段配置",
                        hidden: true,
                        route: "/setting/schemas",
                    },
                ]
            },
        ]
    },
];

export default menu;