import useUserStore from '@/stores/user'
const installPermission = (app) => {
    app.directive("permission", {
        mounted: function (el, binding) {
            const { hasPermission } = useUserStore();
            let permission = binding.value;
            if (typeof permission !== 'string') {
                return;
            }
            if (permission.indexOf('.') === -1) {
                if (app.config.globalProperties && app.config.globalProperties.$route) {
                    permission = app.config.globalProperties.$route.name + '.' + permission;
                }
            }
            if (!hasPermission(permission)) {
                if (el.parentNode) {
                    el.parentNode.removeChild(el)
                }
            }
        },
    });
};

export default {
    install: installPermission
}